Just supports most Andoid phone running KitKat or higher and any iPhone running iOS 9 or higher. Check the Google Play Store to see if we support your Android phone.

Did this answer your question?